Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.api
Class PortletURLImpl.InternalRenderURL

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.api.PortletURLImpl.InternalPortletURL
          org.jboss.portal.portlet.impl.jsr168.api.PortletURLImpl.InternalRenderURL

All Implemented Interfaces:
  PortletURL, RenderURL

Enclosing class:
  PortletURLImpl

    public static class PortletURLImpl.InternalRenderURL

extends PortletURLImpl.InternalPortletURL
implements RenderURL

Constructor Summary
`PortletURLImpl.InternalRenderURL()`

Method Summary
`protected PortletParameters` | `getInternalParameters()`
`StateString` | `getNavigationalState()` Return the navigational state that may be null.

Methods inherited from class org.jboss.portal.portlet.impl.jsr168.api.PortletURLImpl.InternalPortletURL
`getMode, getWindowState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.portlet.PortletURL
`getMode, getWindowState`

Constructor Detail

### PortletURLImpl.InternalRenderURL

    public PortletURLImpl.InternalRenderURL()

Method Detail

### getInternalParameters

    protected PortletParameters getInternalParameters()

  Specified by:
    `getInternalParameters` in class `PortletURLImpl.InternalPortletURL`

### getNavigationalState

    public StateString getNavigationalState()

  Description copied from interface: `RenderURL`
  Return the navigational state that may be null.

  Specified by:
    `getNavigationalState` in interface `RenderURL`
  Returns:
    the navigational state

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD